﻿using System;
using System.Reflection;
using System.Windows.Forms;

namespace EasyPath
{
    static class Program
    {
        static readonly Version s_version;

        static Program()
        {
            s_version = Assembly.GetExecutingAssembly().GetName().Version;
        }

        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new EasyPathForm());
        }

        internal static Version Version
        {
            get { return s_version; }
        }
    }
}
